package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 注册-老师对象 register_teacher
 * 
 * @author ruoyi
 * @date 2023-05-25
 */
public class RegisterTeacher extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /**微信标识**/
    private String openId;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    /** 学校名称 */
    @Excel(name = "学校名称")
    private String schoolName;

    /** 姓名 */
    @Excel(name = "姓名")
    private String userName;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String userPhone;

    /** 审核结果（1：待审核，2：通过，3：不通过） */
    @Excel(name = "审核结果", readConverterExp = "1=：待审核，2：通过，3：不通过")
    private String isPass;

    private Long auditId;

    private String auditUser;

    private String opinion;

    private List<RegisterTeacherClass> registerTeacherClassList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setSchoolName(String schoolName) 
    {
        this.schoolName = schoolName;
    }

    public String getSchoolName() 
    {
        return schoolName;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setUserPhone(String userPhone) 
    {
        this.userPhone = userPhone;
    }

    public String getUserPhone() 
    {
        return userPhone;
    }
    public void setIsPass(String isPass) 
    {
        this.isPass = isPass;
    }

    public String getIsPass() 
    {
        return isPass;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public Long getAuditId() {
        return auditId;
    }

    public String getAuditUser() {
        return auditUser;
    }

    public String getOpinion() {
        return opinion;
    }

    public void setAuditId(Long auditId) {
        this.auditId = auditId;
    }

    public void setAuditUser(String auditUser) {
        this.auditUser = auditUser;
    }

    public void setOpinion(String opinion) {
        this.opinion = opinion;
    }

    public List<RegisterTeacherClass> getRegisterTeacherClassList() {
        return registerTeacherClassList;
    }

    public void setRegisterTeacherClassList(List<RegisterTeacherClass> registerTeacherClassList) {
        this.registerTeacherClassList = registerTeacherClassList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("schoolId", getSchoolId())
            .append("schoolName", getSchoolName())
            .append("userName", getUserName())
            .append("userPhone", getUserPhone())
            .append("isPass", getIsPass())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
